//
// Created by skingging on 5/16/25.
//

#ifndef METRICSEXPORTER_H
#define METRICSEXPORTER_H
#include <memory>
#include <unordered_map>

#include "../include/Crawler.h"

using namespace std;

struct MetricsExporter {
    static void serve(shared_ptr<unordered_map<uint32_t, Crawler>> crawler);
    static void process_request(int client_fd);
    static void send_data(int client_fd, const string& data);
};

#endif
